

.primary-block {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.secondary-block {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 450px;
    margin-top: 20px;
    margin-left: 20px;
}


.scene-container {
    max-width: 1650px;
    padding-top: 0;
}


.scene-container iframe {
    width: 100%;
    /*height: 820px;*/
    height: 70vh;
    max-height: calc( 100vh - 150px );
}


.scene-view-title  {
    font-size: 22px;
    color: #ffffffeb;
    font-weight: 400;
    margin: 0;
    padding-top: 8px;
}

.scene-desc  {
    font-size: 14px;
    color: #ffffffab;
    font-weight: 400;
    margin: 0;
    padding-top: 8px;
}



/* gradient to side
.author-block {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-right: 2px solid #00ffff57;
    background: linear-gradient(to right, rgb(0 37 54 / 0%) 0%, rgb(10 61 85 / 66%) 100%);
    padding: 50px 0;
    margin-left: 20px;
}*/

.author-block {
    width: calc( 100% - 20px );

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    /*border-top: 1px solid #00ffff63;*/
    background: linear-gradient(to top, rgb(0 37 54 / 0%) 0%, rgb(10 61 85 / 66%) 100%);
    padding: 50px 0;
    box-shadow: 0 -1px 0px 1px #00ffff1f;
}

.name-follow {
    display: flex;
    flex-direction: column;
    position: relative;
    margin: 8px 5px;
}

.author-avatar {
    /*padding: 6px;
    border: solid;
    border-width: 1px;
    border-color: #076663;*/
    width: 60px;
}

.author-name {
    font-size: 16px;
    color: #ffffffe0;
    font-weight: 600;
    margin: 0;
    letter-spacing: 1px;
    text-align: center;
}

.author-desc {
    font-size: 14px;
    padding: 5px;
    text-align: center;
    color: #ffffffd6;
    margin-bottom: 10px;
}

.related-content {
    text-align: center;
    color: #ffffff73;
    font-size: 17px;
}


.content-container {
    display: flex
}

.btn-container {
    height: 25px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
}


.button-container:hover p {
    /*color: white !important;*/
}

.button-container {
    cursor: pointer;
}



@media (max-width: 1024px){
    .scene-container iframe {
        /*width: 100%;*/
        /*height: 560px;*/
    }
}


@media only screen and (max-width: 768px) {
/*    .container-gallery {
        padding-top: 50px;
    }*/
    .scene-container iframe {
        /*height: 420px;*/
    }
    .content-container {
        display: flex;
        flex-direction: column;
    }
    .scene-view-title {
        font-size: 20px;
    }
    .scene-desc {
        font-size: 13px;
        color: #ffffffab;
        font-weight: 400;
        margin: 0;
        padding-top: 8px;
    }
    .secondary-block {
        display: flex;
        align-items: center;
        width: 100%;
        margin-top: 30px;
        margin-left: 0;
    }
    .author-block {
        max-width: 350px;
        padding: 30px 0;
    }
    .btn-container {
        height: 25px;
        width: 100%;
        display: flex;
        justify-content: flex-start;
    }
    .name-follow {
        padding-left: 9px;
        display: flex;
        flex-direction: column;
        position: relative;
        align-items: flex-end;
    }
}



@media only screen and (max-width: 600px) {
    .scene-container iframe {
        /*width: 100%;*/
        /*height: 260px;*/
        /*margin-top: 20px;*/
    }
    .scene-view-title {
        font-size: 16px;
        padding-top: 3px;
    }
    .author-name {
        font-size: 13px;
        color: #ffffffab;
        font-weight: 400;
        margin: 0;
        padding-top: 0px;
        letter-spacing: 1px;
    }
    .related-content {
        text-align: center;
        color: #ffffff73;
        font-size: 15px;
    }
}









#ReadMoreBtn {
    text-align: center;
    font-size: 14px;
    text-decoration: underline;
    cursor: pointer;
    padding: 8px;
}
#ReadMoreBtn:hover {
    text-decoration: none;
}

#ReadMoreText {
    display: -webkit-box;
    /*-webkit-line-clamp: var(--line-clamp);*/
    -webkit-box-orient: vertical;
    height: var( --height-clamp );
    overflow: hidden;
    position: relative;
}

#RMGradientOverlay {
    /*position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ff00002e;*/
}